Subject: Re: bug#60996: 29.0.60; Native compile fails to remove temp file for trampoline

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jan 2023 22:35:00 +0200

> Cc: [email-masked], [email-masked]
> Date: Thu, 26 Jan 2023 20:38:45 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > The only case where we might do that AFAIR is when
> > `inhibit-automatic-native-compilation' is used.  This was the infamous
> > mechanism that was installed by Lars where, if I'm not wrong, we are
> > supposed to compile a trampoline, load it, and remove it to pretend we
> > didn't compiled anything :x
> 
> OK, this seems to be what is happening here, because we compile the
> trampoline to a temporary directory.  Otherwise, I don't see why we
> would do that, and why we would delete a trampoline we just compiled.

Actually, I don't think I see where we delete the trampoline that we
generated when inhibit-automatic-native-compilation is non-nil.  Can
you point me to the code which does that?